Stereo Tool - Version history

http://www.stereotool.com/version_history.shtml

2015/11/14	v7.82
 Bug fix: In 7.80 Automatic restart could be triggered incorrectly when the buffer size was very small.
 Bug fix: Fixed some small issues caused by the Thimeo framework rewrite, had no effect.

2015/11/08	v7.80	Added True Bass filter.
 Multibands (analog): Added Spectral Balance Compensation.
 Added Raspberry Pi 2 build (requires jackd2, for now).
 Bug fix: GUI: VST window to small in some VST hosts.
 Sound cards: Added automatic detection whether synchronization is needed. To avoid settings that cause hiccups.
 Non-composite clipper: Stokkemask enabled again
 Composite Clipper: Stokkemask: Default strictness changed from 2 to 3.
 ACR Stereo: Fixed weird effect at extremely low latencies, caused by too steep highpass filtering.
 Performance: Found a small issue in Ignore High Frequencies that might have caused a slightly higher CPU load.
 Plug-ins: Added option to boost the level and fix the balance of input audio.
 Plug-ins: Added option to reduce FM output volume, useful when streaming the output to a transmitter site.
 GUI: Show a warning when the sample rate is too low for stereo/RDS.
 GUI: Show a warning that Declipper input waveform display doesn't work when using Ignore High Frequencies.
 GUI: Auto-reduce update speed on CPU with 1 or 2 cores if CPU load is high.
 GUI: Password hidden during typing.
 GUI: Added 'Get from clipboard' button for entering license key.
 Bug fix: On some systems, an exception could occur when changing band frequencies due to a threading bug.
 Bug fix: Winamp plug-in: High value for "Plug-in host latency" caused crashes.
 Bug fix: Setting Stokkemask Use area to 0% (which makes no sense) caused an exception. Range changed.
 Bug fix: Server: Protect against memory reallocation fails when zooming out in the main GUI. Thimeo mode only.
 Bug fix: Dequantizer: Small audio bug found, might have caused a mild vibration effect in the removed noise.
 Bug fix: Console version: Error: -k: Key <xyxyxyxyxyxyxyxyx> is invalid message for long keys.
 Bug fix: FM wasn't automatically turned off when selecting a non-FM preset in the last few versions.
 Bug fix: UECP PS/RT texts were sent through the Stereo Tool RDS parser, now not anymore.
 Bug fix: GUI: Ignore High Frequencies: Frequency < 19000 and Quality < 50% made FM output meter go blank.
 Updated Thimeo framework which was broken since version 7.71. Latency in plug-in versions is still too high.
 Code: Finalized integration with Omnia.9sg.
 Added and updated presets.

2015/08/23 	v7.73
 Bug fix: MAC GUI version can crash on startup
 Bug fix: Clicks in Foobar2000 with VST version with SOX resampler in front of it, depending on resampling settings
 Bug fix: GUI: VST window to small in some VST hosts
 Bug fix: GUI: 50us/75us icons in GUI displayed disabled when on, not at all when off
 Bug fix: GUI: BS412 refresh bug
 Bug fix: 2048 latency Dequantizer distortion in multicore mode
 Bug fix: Spike in signal at Ignore High Frequencies frequency, multiple causes
 Re-enabled Stokkemask for non-composite output, available again in Expert mode. Advise: Don't use it

2015/08/16	v7.72
 RDS: Added UECP support for external RDS control.
 RDS: Added option to use 2nd sound card input for an external RDS encoder (PLL synchronizes with pilot).
 SFN (Single Frequency Networks): Added invert setting.
 Web server: Dynamic starting and stopping without restart.
 Bug fix: 7.71 had some logging enabled in Low Latency monitoring which could cause issues.
 Bug fix: 7.60-7.71 Mac VST version used a library that wasn't present on most systems, could not be started.
 Bug fix: Phase Delay: Worked differently at different 'Ignore high frequencies' settings.
 Bug fix: GUI: In Logged out mode some screens were still accessible.

2015/08/10	v7.71
Huge (upto 45%) total CPU load reduction, improved clipper audio quality.
 CPU: Added 'Ignore high frequencies above', gives 10-20% global CPU load reduction.
 CPU: Greatly reduced overhead (CPU load when not doing any processing).
 CPU: Clipper: ABDP: Reduced default number of Bass Clipper steps from 4 to 1.
 CPU: clipper: Optimize Highs Gap Protection (Omnia.9 trick from Leif Claesson - from 16 to 3 stages).
 CPU: Clipper: Highs gap protection: Use 1 stage for non-FM.
 CPU: Composite Clipper: Implemented Leif Claesson's more efficient mirrorring method.
 CPU: Composite Clipper: Optimized steps using Omnia interface, much fewer steps for same result.
 CPU: Composite clipper: Stokkemask: Skipping outer parts of window, upto 25% CPU load reduction.
 CPU: Composite clipper: Stokkemask: Made a single compliant and much more efficient quality mode.
 CPU: Composite Clipper: Stokkemask: Optimized FM exciter code.
 CPU: Composite Clipper: Don't oversample when not needed. Big CPU load reduction. Idea from Leif Cleasson.
 CPU: Added some #pragma's to make compiler generate more efficient code
 Memory: 85 MB reduction, a.o. by dynamically allocating waveform display memory.
 Clipper: Improved audio issues reported by Leif Cleasson and Wolf Stahl (certain rare sounds were muffled).
 Clipper: Added 'Sparkling Highs' for brighter more open sound, and less ducking on loud tones.
 Clipper: Added lowpass filter after clipper in non-composite mode.
 Clipper: Made several changes that make it sound more open en brighter.
 Single Frequency Networks: Add delay for one MPX output to synchronize audio between 2 transmitters.
 Removed Stokkemask mode for non-composite FM clipper (didn't work too well anyway).
 RDS: Added some character conversions (€ -> E, ` -> ', ...).
 GUI: Improved CPU load measurement (more code covered, values are now average instead of mean based).
 GUI: Add Facebook, Twitter, LinkedIn buttons to About box.
 GUI: Changed tone generation FM enable/disable and order.
 GUI: Made VST window bigger.
 GUI: Bug fix: Declipper display was broken in 7.70 for input sample rates > 48 kHz, view size > 100 ms.
 GUI: Added option to add a text in the title bar to easily recognize multiple instances.
 GUI: Allow drawing scopes in half-height to have more headroom above and below.
 Bug fix: Low Latency Monitoring output PNR caused internal crashes.
 Bug fix: SCA generation was broken in the last versions.
 Bug fix: Mac VST version didn't load in 7.70.
 Bug fix: Turning Bandpass Highpass filter off didn't really turn it off.
 Bug fix: Exception 'Got unknown widget ID' in HttpServer fixed.
 Bug fix: Composite Clipper FM overhead level was calculated incorrectly (audio is now upto 0.05 dB louder).
 Re-checked and fixed all messages from Valgrind on Linux.
 Code: Redesigned parameter classes and moved everything around for integration with other products.
 Code: No longer allocating variables statically because it no longer seems to have any performance benefits.
 Changed default preset to Analog Pleasure (soft) without paid features.
 Added and updated presets.

2015/06/03	v7.70
 Added second Multiband Compressor.
 Added new Dequantizer filter to increase the bit depth of recordings.
 Added resampler for Normal Output to solve hiccups when using multiple output sound cards or virtual cables.
 Added auto-restart behavior if buffers get too full or too empty.
 Added upto 12.5 seconds of audio delay for HD radio.
 Added support for built-in GUI skins.
 Added option to show beta version number in title bar.
 RDS: Added RT+ support.
 Compressors: Made new 'Analog' compressor design based on behavior of water pressure control systems and hydraulic automatically closing doors. Sounds better and uses far less CPU.
 Compressors: Made new Limiter (only used in combination with new compressor mode).
 Compressors: Made Limit before Compress switchable in all compressor modes.
 After-AGC Singleband Compressor: Added new Analog compressor mode with new limiter.
 Final Singleband Compressor: Added new Analog compressor mode with new limiter.
 Multiband Compressor: Added new Analog compressor mode with new limiter.
 Multiband Compressor: Added Freeze/Gate for all bands combined (Analog mode only).
 GUI: Improved display for bigger screens.
 GUI: Increased maximum waveform display from 3.2 to 10 seconds.
 GUI: Made line around Phase Delay in bottom display less bright.
 GUI: Save settings .ini when saving the settings to any file.
 GUI: Improved Compressors gate and limiter display (new Analog mode only).
 Singleband Compressors: Don't allow Threshold values below 0.5 dB.
 CPU: Optimized Clipper and GUI.
 CPU: Small overall performance optimizations.
 CPU: Optimized synchronization between sound cards code - factor 5 CPU load reduction.
 Multipath Clipper: Made it stricter (use Smoothing mode).
 Bug fix: Linux 32 bit version is working again in Ubuntu 13/14 (was a compiler optimization bug).
 Bug fix: RDS: Fixed time zone 30 minute offset problem.
 Bug fix: Compressors: When gate is set to -99 dB, release stops working.
 Bug fix: Multiband Compressor: Band Link did not work in 3-band mode.
 Bug fix: Multiband Compressor: Frequency band shift (10%, since 7.51 or 7.60).
 Bug fix: Multiband Compressor: Filtering issue when using Density Drive > 1.00.
 Bug fix: Crash when changing certain Stokkemask clipper settings..
 Bug fix: Saving FM sound card issue in VST: viewtopic.php?f=2&t=6027&p=29066#p29066 .
 Bug fix: GUI: Delay of Delossifier in display.
 Bug fix: GUI: 'Load default values' question for MB #bands don't ask again didn't work.
 Bug fix: GUI: Composite clipper used but not registered warning wasn't shown.
 Bug fix: GUI: Threshold and knee were labeled 'Speeds' instead of 'Levels'.
 Fixed 'uninitialized memory read' warnings (reported by Intel Inspector XE).
 ProppFrexx integration: Added RDS control via VST (canDo, vendorSpecific).
 Updated skins, presets and translation.

2015/01/09	v7.60
 Added PNR Noise & Hum filter that removes constant tones (such as a 50/60 Hz hum) and reduces noise.
 Phase Delay: Solved multiple bugs that caused it to basically not work at all.
 Phase Delay: Increased range from 10 ms to 60 ms for more control.
 Phase Delay: Added settings to control the increase in latency.
 Multiband compressor: Added Band Coupling matrix which overrules the standard band coupling settings.
 Multiband compressor: Added "Only pull down" checkbox to Band Coupling for more consistency.
 Multiband compressor: Added band linking (different from already existing band coupling).
 Multiband compressor: Fixed distortion in limiters when using band coupling or linking.
 Advanced Clipper: ABDP: Drop in output when strongly clipping around 2600-4000 Hz is reduced.
 Advanced Clipper: ABDP: Made deep bass slope smoother. Result: Warmer, more open, less 'restrained' sound.
 Advanced Clipper: ABDP: Added "Sloppy" slider. 0.5 dB more highs, less pumping, but more distortion.
 Advanced Clipper: ABDP: Added extra step that reduces intermodulation distortion from bass in voices.
 Advanced Clipper: Highs Gap Protection: Drop in spectrum between 3.5-3.8 kHz now smoothed over 2.4-4.8 kHz.
 Advanced Clipper: Highs Gap Protection: Now stricter than before.
 Performance: Optimized band coupling in MB compressor; ignoring bands with coupling < 0.5%.
 Performance: Optimized Phase Equalizer. Replaced Convolution by complex Fourier transform multiplication.
 GUI: Improved layout for very high resolutions (2560x1920).
 GUI: Made CPU affinity more user friendly (pulldown and masks as backup)
 GUI: Split filters in Restoration / Processing.
 GUI: Display FM lowpass frequency at bottom when FM output is used.
 GUI: Made Configuration, Repair and Processing settings saveable separately.
 GUI: Strange jumps in waveform displays at 100 and 200 ms buffer size fixed.
 GUI: Added password protected mode.
 GUI: Made top section smaller in password protected mode
 GUI: Reorganized Advanced Clipper ABDP panel.
 GUI: Moved Phase Rotation and Phase Delay to correct place in menu and bottom bar.
 GUI: Made 2 lowpass freqs both visible.
 GUI: Removed vertical line at start when drawing PEQ graphs (equalizer, Phase Delay).
 GUI: Made Phase Delay visible in the bottom of the screen.
 Web Interface: Added support for buttons.
 Web interface: Fixed Strings input.
 Re-recorded 'This sound is processed by Stereo Tool' sample which is played when using unregistered features.
 Bug fix: GUI: Fix crash when clicking on volume bars.
 Bug fix: GUI: Buttons could cause memory problems if the window is very small (texts get mangled).
 Bug fix: Potential GUI crash at certain display sizes fixed.
 Bug fix: Web Interface - Some pull-down menu settings don't match with main GUI.
 Bug fix: Improved HTTP server behavior on program close (could cause exception if it was processing a request).
 Bug Fix: Clipper crashed in multicore mode if there are more than 2 audio channels.
 Bug fix: Solved exception which occurred sometimes when loading presets.
 Added, updated and removed presets, among others added a microphone processing preset.
 Updated Russian translation.
 Added function to VST plugin to overrule RDS settings for Proppfrexx integration.
 Created "Generic" plugin format for customers who want more control (Polish media group).

2014/11/21	v7.51
 Added separate FM and AM lowpass frequency setting; stream output uses a different frequency than FM/AM.
 Added separate volume for 1st and 2nd MPX output.
 Added Multiband Pre-Limiter. Protects clipper against volume effects (pumping) and distortion.
 Added Bass Boost "Drive" slider for better control.
 CPU load: Added faster processing paths for SSE3, SSE4.1/2, AXV and AVX2. Upto 20% performance improvement.
 CPU load: Optimized Delossifier.
 CPU load: Optimized Stokkemask (CPU load reduced by around 70%).
 Delossifier: Disabled at low latencies and monitoring output (adds latency, makes no sense in lower latency modes).
 Compressor/Limiters: Moved limiter before compressor. Slows down the attack speed when limiting, giving a more stable sound.
 Limiters: Solved distortion when limiting bass sounds.
 Limiters: Default "Limiter Distortion" values changed. Range increased downwards from 1.0% to 0.2%.
 Advanced Clipper: Stokkemask: Redesigned to have less impact on the audio.
 Advanced Clipper: Made highs clipping level configurable.
 Advanced Clipper: FM Multipath protection: Improved the behavior, effect is much bigger now.
 Web interface improved (scales to screen size, many widgets added).
 GUI: Simplified tilt correction. Only one slider left.
 GUI: Added CPU load display (as text) to the CPU load sliders.
 GUI: FM: Add volume meters which show MPX and Left/Right above 100% modulation
 GUI: Added warning that it's better to use ASIO and setting the sample rate correctly in Windows.
 GUI: Changed band steepness minimum values for Multiband/Natural Dynamics from 6 to 3 dB/octave.
 Code improvement: Assigned unique ID's to built-in presets, to make it easier to add, remove and shuffle presets.
 Code improvement: Added lots of extra checks that will warn in case of certain software bugs.
 Bug fix: Potential audio dropout in FM output with Tilt correction enabled solved.
 Bug fix: Potential audio dropout in several other filters (ACR Stereo among other) solved.
 Bug fix: Potential GUI error caused by same cause as audio dropout solved.
 Bug fix: Potential erroneous insertion of very high frequencies at lower latencies solved.
 Bug fix: Single-channel file in plugin version caused crashes when using the composite clipper.
 Bug fix: GUI: Tilt calibration was reset when loading a preset, removed.
 Bug fix: RDS ClockTime summer time mode on 64 bit OS's fixed.
 Bug fix: Stokkemask "Skip Smoothing" mode didn't work properly.
 Bug fix: Bug that caused sliders and top menu to stop working fixed.
 Bug fix: Calculation of FM MPX left/right peaks was wrong when using Composite Limiter.
 Bug fix: MPX Power calculation was wrong after switching to a different sample rate.
 Bug fix: Fixed broken GUI display in AM mode when in full-screen
 Added new and removed old presets.

2014/07/27	v7.50
 Added new ACR (Attack Controlled Repeat) Stereo enhancer. Gives better control over amount of stereo, sounds more sparkling and can be set to boost transients more. You should probably turn Stereo Boost off when using this.
 Stand alone version: Added Balance slider for input sound card.
 Added 64 bit Linux versions. Should remove the need to install lots of 32 bit libraries.
 CPU load: Issues on single-core systems in versions 7.43 and 7.44 are gone again.
 GUI: Made Extreme Tweaker mode less accessible. Contains options that you should never touch. Now first shows confirmation window.
 GUI: Made all Stereo on/off switches available in Stereo overview panel.
 Bug fix: Natural Dynamics boosted certain bands (esp. bass) too long and too much in versions 7.43 and 7.44.
 Bug fix: Memory leak in Mac VST GUI nearly completely removed. Might fix some issues.
 Bug fix: ASIO code could crash on buffer size changes (very rarely).
 Amateur/HAM radio: SCA encoding now available in plugin versions. (Requires Extreme Tweaker mode).
 Presets: Added some presets.

2014/07/07	v7.44
 Error message about bad sound card ID's changed (it does not always require a restart).
 Bug fix: FM transmitter synchronization did not function properly in stand alone version.
 Bug fix: Setting some AGC settings to 0 could 'lock' the AGC. Setting to 0 no longer possible.
 Bug fix: Changing MB flatness or frequency sliders no longer causes weird noises.
 Bug fix: Invalid (NAN) values sent to compressor and clipper are now handled gracefully.
 Bug fix: Loading a preset turned auto-start with Windows and watchdog off.
 Bug fix: Sound card watchdog sometimes kicked in too soon - changed the timing.
 Bug fix: AM frequency display is now hidden when no updates are calculated.
 Presets: AM presets now turn on AM mode, US AM presets also turn on AM pre-emphasis.

2014/07/01	v7.43
 Added separate processing for FM and Normal (or plugin host) output.
 Streaming output: Added option to send output to a stream using VLC.
 Streaming input: Added option to pass extra parameters to input VLC (just type them after the URL).
 Limiters: Greatly improved limiter behavior. Limiter (in all compressors) now works much tighter, causing less pumping and less distortion.
 Usability: Added sound card error popup screen with better error messages.
 Lower CPU load when using streaming with low pre-emphasis values, by using LQ Hole Protection mode.
 AM Transmitter: Added AM Transmitter panel.
 AM Transmitter: Added NRSC AM pre-emphasis curve (slightly different from the FM 75 ?s curve).
 AM Transmitter: Added C-QUAM AM Stereo compliant clipping and limiting.
 AM Transmitter: Headroom slider added; no more need to abuse Post Amp to make headroom for asymmetry.
 AM Transmitter: Added Downmix to Mono button checkbox to AM panel.
 AM Transmitter audio now uses FM sound card settings (including tilt correction).
 AM Transmitter: MPX (frequency) graph now also visible in AM mode.
 Added auto-start with Windows option.
 Added Watchdog, regularly checks that sound card inputs and outputs are working. If no audio runs for a longer period, sound cards and later Stereo Tool gets restarted (stand alone version only).
 Added Exception handling: Exceptions should never occur, but if they do, they are now handled gracefully: They are logged and shown to the user, an attempt is made to continue processing, if that fails (exceptions keep occurring) Stereo Tool (stand alone version only) can be restarted automatically.
 Added Event FM License (lower price, works 3 days at a time).
 Added CPU load (actually, percentage of time busy with processing) display.
 Added an error popup window if sound cards cannot be opened.
 Added translations (Dutch, Spanish, Russian, Hungarian). 
 SCA frequencies are now configurable for HAM radio.
 Reduced memory usage of stand alone version.
 Merged in older changes from a separate project, should not have any noticeable effects for end users.
 Bug fix: Fixed crash that could occur when switching input from sound card to VLC and back to sound card.
 Bug fix: VLC input channels could get swapped. Fixed.
 Bug fix: VLC input with Low Quality Low Latency output hangs. Output is now disabled when VLC input is used.
 Bug fix: Opening sound cards could fail sometimes if ASIO and non-ASIO were combined using the same sound card. Fixed by opening the non-ASIO connections first, which appears to solve the issue.
 Bug fix: Compressor Difference mode didn't always work properly.
 Code improvement: Ran code checkers cppcheck and PVS-Studio and fixed all the (real) issues they reported.

2014/05/19	v7.42
 Marian Trace Alpha on Windows 7: Added workaround to avoid driver hangups, which occurred on some systems after some performance optimizations done in version 7.41.
 Added 'Flat tops' mode to Multiband Compressor and Natural Dynamics.
 Added experimental DeLossifier (MP3 artifacts removal filter). So far it only reduces pre-ringing a bit.
 Sound card control: Added locking to non-ASIO audio to protect buffers.
 Declipper: Sound at extremely low latencies (256 samples or less) improved.
 7.41 bug fix: AM Assymmetry in combination with FM pre-emphasis enabled again.
 7.41 bug fix: Deemphasized audio didn't work properly under all circumstances in 7.41, fixed again.
 7.41 bug fix: Fixed potential crash due to a rounding error in the compressor in 64 bit VST plugin.
 7.41 bug fix: Linux version crashed un startup.
 Code improvement: Potential rounding error in compressor (which could lead to all kinds of issues) fixed.
 Code improvement: Initializing some values that were never initialized before.
 Code improvement: Several 'Division by 0' situations (which were masked so they didn't cause problems) are now completely removed.
 Perfect Declipper separate product now uses the same code base as Stereo Tool again.
 Added a lot of new presets.

2014/02/26	v7.41
 Big code cleanup.
 Performance: Removed a lot of threads that might cause unpredictable performance behavior.
 Performance: No longer sending data through a separate thread for some final processing.
 Performance: Optimized FM Composite Limiter (50% less CPU), also no more extra latency (was 2 ms).
 Performance: Optimized Natural Dynamics (80% less CPU, apart from channel splitting).
 Performance: Optimized Compressors.
 Performance: Optimized sound card handling (40% less CPU).
 Performance: RF spectrum calculation now uses a lookup table for sin() calculations.
 Performance/Bug fix: RF spectrum calculation analyzed more data than needed before (75% less CPU).
 Performance: Redesigned and optimized Simple Clipper.
 Performance: Optimized clipper bass handling performance.
 Performance: Removed a few 'division by 0' protections that appear to be unnecessary.
 Performance: Optimized RDS encoder.
 Performance: Rewrote code to remove a lot of unnecessary data conversions.
 Performance: Noise Gate/Stereo Boost: Pre-calculating some values values.
 Performance: Optimized for memory caching.
 Memory usage: Reduced by about half (DSP version: From 200 MB to 100 MB, Stand alone: From 197 to 113 MB).
 Sound card: Several optimizations done. Buffer filling might look a bit different than before, but now if you don't see an empty buffer it won't crackle (before it could).
 ASIO: Removed buffering step, this might in some cases allow slightly less latency.
 ASIO: Added hiccup/crackling protection: Preliminary data is placed in the sound card buffer so something gets played in case of hiccups.
 ASIO: Fixed low latency output with ASIO block sizes below 256 samples.
 ASIO: Fixed buffer size calculation. Old versions reported the wrong time in the display.
 Hard Limit: In Composite Clipper mode, it caused very soft (inaudible?) clicking sounds in previous versions. Fixed. Also made spectrum cleaner.
 Low Latency Monitoring: Now uses the normal processing code instead of a separate code path. Sounds more like real output.
 Low latency: Improved AGC behavior.
 Low latency: Fixed AZIMUTH behavior.
 Low latency: Fixed Phase Rotation frequency effects (now compensating for loss at certain freqs).
 Low latency: Improved Multiband and Singleband limiting and compression.
 Low latency: Clipper 'Advanced Bass Distortion Protection' did not work properly at latency 128.
 Low latency: Slightly improved equalizer behavior to sound more like the higher latencies.
 AGC: Added Power Highs filter (similar to Power Bass, under AGC).
 AGC: Moved Power Bass and Power Highs to before the wideband AGC to improve volume level consistency.
 AGC: Power Bass and Highs: Sudden fast rise of bass or highs is limited, new slider 'Release boost' added.
 AGC: Power Bass: Sidechain option removed.
 Stereo Image: Fixed most of the artifacts! No longer marked as Deprecated.
 Fixed 'Post filter for DC offset' problem.
 Bug fix: Carbon Coder Stereo Tool TV plugin hangup when normalizing for R128, reported by FOX TV.
 Added HQ mode. Not available for users.
 FM output for input sample rates below 30 kHz is no longer possible!

2013/12/24	v7.40
 Declipper: Fixed several bugs (reported by Leif Claesson), output sounds better.
 AGC: Added "Power Bass" mode. Makes deep bass far more constant and stronger (feedback from Wouter Tietema and Jeff Prins).
 AGC: Release did not respond the same at very high input levels. Old behavior still present for compatibility.
 AGC: Audio level was more consistent at lower latency settings. Same consistency now also for high latency.
 AGC: Added matrix mode (L+R/L-R processing) for stereo expansion. Not really great though...
 Compressor/Limiter: Improved and optimized code for compressors, limiters and Natural Dynamics.
 Compressors: Added Continuous Release mode for compressors.
 Limiters: Improved limiter attack and release behavior. Much tighter, far less pumping.
 FM: Replaced Multipath Clipper by something that works better and affects the audio less. Feedback wanted!
 Stand alone version: Added option to receiving a stream via VLC (must be installed).
 Stand alone version: FM: Added FM transmitter synchronization to stand alone version.
 FM: BS412: Memory and CPU usage reduced.
 FM: Rewrote Stokkemask code and added some options to control behavior and CPU load.
 Advanced Clipper: Added Controlled Distortion, including intermodulation distortion detection.
 Command line version --samplerate option to use different sample rates. Allows outputting MPX.
 Command line version --r128 option for R128 normalization.
 Sound cards: Added hysterisis when changing buffer size to avoid Juli@ ASIO driver crashes.
 Sound cards: Auto-restart in case of driver errors.
 Sound cards: Join input sound cards for Rockland/Radio SAW (stations with normal and regional content).
 GUI: Added multi-language support.
 GUI: Metering: Added scales to meters.
 GUI: Metering: MPX power added.
 GUI: RDS: Use RDBS PTY names when using 75 us pre-emphasis.
 GUI: Added full screen mode; hides all window bars and Windows task bar.
 GUI: Added zooming in/out to waveform displays, optimized code, made it possible to turn the display off.
 GUI: Added warning when closing.
 GUI: Moved Phase Shaping to under Phase Rotator (since it's hardly used or useful).
 GUI: CPU load for moving mouse over Bands or Equalizer displays greatly reduced.
 GUI: Improved multi-touch screen handling.
 GUI: Improved VMware detection.
 GUI: Renamed some Natural Dynamics settings for clarity.
 GML Plugin: GUI: Removed new version notification from GML plugin.
 GML Plugin: Added R128 normalization.
 Bug fix: Compressors did not handle audio with more than 2 channels properly.
 Updated existing built-in presets to run with the new RMS mode.
 Added presets.

2013/09/27	v7.31
 Added 64 bit Windows VST version, with AVX support (2nd generation i3/5/7, Windows 7/8).
 Added 64 bit Windows stand alone version, with AVX support (2nd generation i3/5/7, Windows 7/8).
 Improved Natural Dynamics default settings.
 Added after-AGC singleband compressor to bottom display.
 Bug fix: Loading partial presets caused Multiband and Natural Dynamics frequencies to be reset.
 Added presets (Bojcha's King's Fire 2, which I used for demoing at the IBC).

2013/09/05	v7.30
 Added Mac OS X versions: Command line, stand alone (with JackOSX for now), VST
 Added Natural Dynamics filter that increases dynamics of music with little dynamics.
 Compressors (MB, SB): Improved limiter attack behavior. Much tighter and far less audible than before.
 Compressors (MB, SB): Removed lookahead for limiter; smoothing in backward direction to avoid distortion.
 Compressors (MB, SB): Added Attack and Release Flatness sliders. This non-default (not in standard compressors) behavior can give a much tighter sound with more dynamics, especially if combined with: 
 Compressors (MB, SB): Added Release Inertia. Don't slow down moving towards target level when getting close.
 Compressors (MB, SB): Added "Traditional Peak" detection mode; uses less CPU but also sounds less good.
 Multiband compressor: Improved limiter flat frequency response behavior: Much more-line with compression.
 Multiband compressor: Improved Flat Frequency Response behavior, sweep is much flatter than before.
 Added option to perform phase rotation at the beginning of the processing chain.
 Changed AZIMUTH correction filter default settings.
 Linux: Improved GUI update speed.
 GUI: FM: Pre-emphasize output was confusing, now auto-enabled when RDS or stereo coding is used.
 GUI: Limiting now displayed in dB's just like the rest of the data.
 GUI: All ASIO settings are now available on a single page.
 Bug fix: Multiband default frequencies (used for resetting) were incorrect after restart.
 Bug fix: Removed printing from Jack thread in Linux, should allow lower latency.
 Bug fix: Fixed low latency ASIO bug introduced in version 7.24.
 Removed old Natural Dynamics implementation (saves 8MB of memory).
 Added and updated presets.

2013/07/17	v7.24
 Linux versions are back, now with multi-threading and Jack sound card support!
 AM stations: Added asymmetric clipping.
 Much faster preset loading/saving and hence much faster booting and closing.
 Improved low latency monitoring output (latency wasn't low enough and sound was sometimes bad).
 Sound card handling improvement: Latency is now always exactly the same after (re)starting.
 GUI: Entering registration key changed, overview of registered features added.
 GUI: Errors are now displayed in sound card bars.
 GUI: Remember sound card selection even if that sound card is not present anymore.
 GUI: Slightly improved the mouse hold (slow slider movements) vs. non-hold detection.
 Simplified a lot of code and moved any OS-specific code to separate files.
 Bug fix: With Multicore disabled, Normal output didn't work in the stand alone version.
 Bug fix: Very rare channel swapping issue in Windows due to a threading error.
 Bug fix: Very rare hangup on sound card switching via GUI.
 Updated some presets.

2013/05/30	v7.23
 FM: Improved Stokkemask (ITU-R.SM1268) clipper; less effect on audio (from 2 dB to 0.7 dB loss in highs).
 FM: Added option to remove demodulated L/R spikes above 100% (level is configurable).
 FM: BS412: Fixed small volume calculation bug in composite clipper mode.
 FM: Added RF spectrum analyzer. Warning: Uses a lot of CPU power.
 Bug fix: Some warnings kept coming back after restarting despite selecting 'don't show me again'.
 Updated some presets.

2013/05/16	v7.22
 FM: RDS encoder bug introduced in 7.21 solved (long texts were broadcast at a far to high speed).

2013/05/16	v7.21
 FM: Improved Stokkemask (ITU-R.SM1268) filter for composite clipper (sounds better).
 FM: Fixed several bugs, mainly noticeable in SSB mode, at lower Quality settings.
 FM: SCA1 channel is now displayed in MPX graph.
 Updated and added some presets.

2013/05/07	v7.20
 FM: Added composite clipper!
 FM: Added SSB (Single Side Band) mode. (Requires composite clipper.)
 FM: Added Multipath clipper. (Experimental! Requires composite clipper.)
 Loudness: Improved Airy Highs. Highs now sound crisper and less 'tonal'.
 Loudness: Rewrote clipper to reduce CPU load (Strictness can be set lower to give similar results).
 Added Phase equalizer.
 Updated and added many presets.

2013/03/25	v7.10
 User interface: 5 modes ranging from "Simple" to "Extreme Tweaker". "Basic" should be good for most people.
 Greatly reduced CPU load of almost all filters. With identical settings, the CPU load is typically 12% reduced.
 Singleband compressor completely redesigned.
     Keywords: Attack, release, release hold, ratio, feed forward vs feedback, lookahead, burst protection.
 Multiband compressor completely redesigned: Configurable number of bands; monitoring individual bands, median display.
 Added 'graphics' equalizer.
 AGC: Added side chain.
 AGC: Added singleband compressor after AGC.
 AGC: Smoothed Band 1 to band 2 coupling.
 AGC should work better if declipper or noise gate is activated.
 Extra lowpass filter before processing to fix problems with songs with excessive very high frequency content.
     Set 0.25 kHz above actual LPF freq, but never below 16 kHz.
 Loudness: Improved delayed bass clipping protection to cause less distortion.
 Provision to discard buffer after a certain period of inactivity added for VST plugin.
 FM: SCA was missing since version 7.00, added again.
 Declipper: Reduced artifacts when using declipper in combination with non-phase linear highpass filter.
 Declipper: Changed default settings based on input from Jesse Graffam.
 Sound cards: 'Synchronize to output' now also works with Normal output.
 User interface: Made 6 dB lines in meters more prominent.
 Bug fix: Disabled mouse hold behavior for all widgets except sliders.
 Updated and added many presets.

2013/01/08	v7.03
 Loudness: Added delayed bass clipping for better punch.
 Loudness: Fixed Bass Shape artifacts, and now also works on higher frequencies.
 Loudness: Added option to dynamically switch off distorted mids/highs for tones.
 RDS: Better special character display in GUI.
 Updated presets.

2013/01/03	v7.02
 Added 5.1 and 7.1 audio support (channels are declipped, highpass and lowpass filtered and clipped, nothing else yet).
 Loudness: Improved bass clipper, better punch and warmer sound with more mid-bass. (old vs new)
 Loudness: Removed volume drop between 2.8 and 3 kHz.
 RDS: Added convertor from Windows-1252 to RDS characters to support special characters.
 Installer made smaller by moving non-SSE2 version to a separate installer. Now below 1 MB again :)
 Bug fix: Drawing issue in 7.00 and 7.01 pull-down menu's without scroll bar when using mouse wheel.
 Bug fix: Left and right channels were sometimes swapped when loading a preset in 7.01.
 Bug fix: Stokkemask clipper was broken in 7.01.
 Carbon Coder plugin now supports R128 normalization for 5.1 and 7.1 audio.
 Added some presets.

2012/12/17	v7.01
 Solved several VST GUI issues in several VST hosts.
 Made VST window a bit bigger.
 On loading built-in presets, most FM and sound card settings are no longer reset.
 Volume increase on preset reload should not occur anymore, although I'm still getting reports that it does. But at least one cause is solved.
 Added sound card restart button, was missing in version 7.00.
 Bug fix: GUI unresponsive at very high CPU loads when you click right of text in text box.
 Bug fix: BS412 acted weird with FM sound card enabled, pre-emphasize output disabled at low input sample rates.
 Updated presets.

2012/12/12	v7.00
 Total GUI redesign. Interface dynamically adapts to screen size and is nearly touch screen ready (keyboard needed).
 Added new version alerts and specific warnings which unregistered functions are in use.
 Last selected preset name visible after restart.
 Added web interface (no access protections yet).
 Completely rewritten parameter handling code; solved bugs and reduced the chance of introducing new ones.
 Added ability to reset, load and save parts of presets.
 Added input sound card Gain control.
 FM transmitter audio synchronization added to synchronize streaming audio at multiple transmnitter sites (experimental).
 Loudness: Changed bass clipper behavior, flatter frequency response; sounds a bit warmer.
 Loudness: Bass clipping filter bug fixes: Whistle artifacts gone, 'knock-on-wood' artifacts reduced.
 Loudness: Airy Highs turned off if there are very little highs (reduces crackling sound that sometimes occurs).
 Declipper: Reduced 'clicking' artifact in reconstructed audio.
 Declipper: Improved splitting load over 2 cores.
 FM test tones: Added Bessel null frequencies and "smooth square wave" (sounds less loud) test tone mode.
 Removed a number of memory allocations/frees that occurred during processing.
 Added a lot of presets.
 Natural Dynamics is available in the GUI again, if you enable it explicitly in the INI file.

2012/08/02	v6.32
 Added sound card input and output tilt adjustment (2nd order).
 Loudness: Changed clipper distortion masking model, giving less distortion at nearly the same highs level.
 Loudness: Added "Airy highs", makes highs sound both louder and more natural (less restrained).
 Loudness: Removed bugs that caused hole punching by loud highs.
 Loudness: Highs Priority no longer causes volume drops caused by loud highs.
 Loudness: Redesigned de-esser for pre-emphasized sound.
 Bass sensitivity: If there are both mids and highs, the drop is a bit less strong than before.
 Bass sensitivity: Determining more precisely when the clip is needed.
 BS412: Added max deviation (+/- 75 kHz) display.
 BS412: Added headroom slider. Determines margin for error to avoid sudden volume drops.
 BS412: Max deviation can be lowered to create denser sound and protect against sound card problems.
 BS412: Faster rise after fast drop for louder end result.
 GUI: Added displays so you can see what is being sent out to the sound card (including calibrations).
 GUI: Cleaned up Loudness panel (removed some things that are no longer needed).
 Bug fix: Latency 512 didn't work properly.
 Bug fix: Fixed GUI issue where singleband compressor settings were not always correctly loaded.
 Bug fix: AXIA input sound card loading issue.
 Added Carbon Coder plugin with multi-pass R128 support.

2012/06/10	v6.31
 AGC: Added a slider to protect against volume drops for loud voices.
 Loudness: Improved overall filtering (removed post ringing) at latency 4096, sound is cleaner in many ways (especially bass). Added some new controls for configuring it ("Time Spread")
 Loudness: Advanced Bass Distortion Protection: Improved bass clipper. Bass is now louder and clipped tighter
 Loudness: Added bass shaping. Adds harmonics to very low frequencies to make them sound louder
 Loudness: Allow turning highs intermodulation distortion off
 Loudness: Added "highs priority" slider, increasing this reduces high frequency intermodulation distortion but may cause some drops in other frequencies
 Loudness: Asymmetric bass reduction should not go below dynamic threshold
 Loudness: Reduced strictness, the high precision wasn't really useful
 Loudness: Split 'sensitivity' for bass clipper: Can now be configured separately for mids and highs. Result: more constant and higher bass level
 Loudness: Turned off old bass protection mechanisms in default settings. Caused artifacts, no longer needed
 Loudness: Reduced clipping strictness for mid-bass frequencies (lower CPU load)
 Loudness: Increased de-esser range, and it can be turned off now
 Loudness: Simplified clipping algorithm
 Stereo Boost disabled for lowest frequencies (below approx. 140 Hz)
 BS412 limiter: Show a warning and info when BS412 is enabled
 BS412 limiter: Fixed drops issue. Very brief drops can still occur but they are usually hardly noticeable
 BS412 limiter: Changed default values for more constant sound level
 Added and updated many presets
 Split values for Singleband, Singleband AGC style and BS412
 Bug fix: Stereo Image was broken for latency 512
 Bug fix: Icon now visible in stand alone version
 Bug fix: Stokkemask clipper didn't work at latency 512.

2012/04/11	v6.30
 Major code cleanup and restructuring
 Added BS412 limiter
 Added Stokkemask clipper
 Improved scope display (triggered)
 Improved low latency (6 ms) monitoring output in Stand Alone version
 Improved overall quality by changing the processing window shape for ALL filters
 Added support for cheaper limited Winamp/DSP declipper license
 Reduced CPU load when playing pure silence
 AGC: Improved handling of sudden loud bursts
 Loudness: Improved protection of mids against loud highs, which were causing drops ("holes") in the sound.
 Loudness: Changed the bass protection shape
 Loudness: Added protection against distortion caused by asymmetric bass sounds
 Loudness: Slightly better protection of frequencies below 700 Hz against very loud bass
 Loudness: Bass protection and de-esser levels were calculated incorrectly if Final Clipper was enabled with a volume other than 1.00
 BS412 limiter now also works with 'Pre-emphasize output' disabled.
 Phase rotator: Improved behavior and display
 Bass AGC: Now works on a much smaller frequency range so it only affects really deep bass sounds
 Bug fix: Changed default values for the "Allow more distortion" sliders in the VST version
 Bug fix for Omnia 9: RDS A/B flag works properly now, and if you change the RadioText and there was no sequence of texts there the new text will start to be broadcast immediately
 Bug fix: Forcibly remove DC offset in Loudness did not always work properly
 Slightly reduced Loudness CPU load, but the new highs protection adds a lot more if it's enabled

2011/12/12	v6.21
 Added multicore support for Declipper and Loudness. Throughput is now 38% higher in presets that use both.
 Loudness: Fixed a bug in the non-SSE2 version.
 Declipper: Fixed memory bug in clipping detection. This may have lead to weird issues.
 Improved performance when closing/minimizing Stereo Tool if the virus scanner NOD32 is used.
 Bug fix: Loudness de-esser setting was not saved in VST plugin.
 Bug fix: Loudness values above 3.00 were not loaded correctly in VST plugin.
 Bug fix: TA button in main window did not work.
 Changed a value in Bojcha's Neodymium preset.
 There is now also a separate declipper program! See www.perfectdeclipper.com.

2011/10/25	v6.20
 Added declipper filter
 Loudness: Completely redesigned for more consistency, better transients, louder output and greatly improved highs. Punch is no longer needed.
 Loudness: Improved vibrating voices filter caused by loud bass.
 Loudness: New filter that removes highs distortion caused by loud bass, now allows bass levels upto 100% without (much) distortion in the highs.
 Loudness: New filter that detects when highs cause volume drops in the rest of the sound, and briefly lowers the highs level.
 Loudness: Added oversampling checkbox for streaming and mastering: This makes sure that no clipping will occur if the audio is upsampled afterwards.
 Loudness: Added separate dirty bass / mids / highs sliders for better bass control and 'artistic' effects.
 AGC: Redesigned to handle different input levels much better.
 AGC: Enabled ITU-1770 support (for bass and head separately).
 AGC: Added stereo separation control.
 AGC: Added start level for mastering.
 AGC: Separate "Remove remaining peaks" settings for lows and mid-highs.
 AGC: Added "Force level below" slider for improved peak control. Forces the AGC level down faster if the difference gets too big.
 Added Bass AGC filter to reduce excessive bass sounds.
 Multiband: Added voice protection settings to better cope with loud vocals in music.
 Multiband: Allow changing band frequencies (only via STS file).
 Multiband: Added control of link between bands 1 and 2.
 Pre-emphasis: Moved to end of processing, just before clipping.
 Highpass filter: Improved filtering to reach a cleaner output.
 Highpass filter: Added "order" setting for non-phase linear filter.
 Improved audio processing window shape to reduce artifact levels.
 Improved pre-ringing filtering to avoid artifacts that occurred before.
 Added SCA output channels (SCA1 works, SCA2 is problematic due to the required frequency range).
 Support added for multiple Stereo Tool installations with different settings per installed version (requested by Jazler).
 Added registration to command line version.
 Bug fix: Fixed "Test right channel" in "FM Transmitter Calibration" (broken in version 6.10).
 Bug fix: FM Calibration frequencies 23-57 kHz were not at the correct frequencies.
 Bug fix: Fixed left/right channel swap that could occur in the stand alone version.
 Bug fix: AGC could hang in some cases when enabling more bands. Fixed.
 Bug fix: Phase rotation did not sound good at low latencies in version 6.10.
 Bug fix: Time zone in RDS was wrong.
 GUI improvement: Made waveform background black.
 RDS: Adjusted behavior if no special characters (<, >, |, ||) are used: Word wrap with centering is selected by default. This was done for the Omnia 9 that uses the Stereo Tool RDS encoder; the behavior is now identical for both systems.
 RDS: Ignoring trailing spaces for word wrap.
 Added a lot of presets.
 Added interface for blind users. Set environment variable STBLIND to 1 or YES.

2011/02/10	v6.10
 Reduced latency:
 Latency: ASIO: Add processing priority control to enable very low sound card latency (~ 1-3 ms) without hiccups; total latency of ~ 16 ms possible.
 Latency: Upsampling (for FM) and downsampling (for high input sampling frequencies) no longer causes extra latency.
 Latency: Reduced Composite Limiter latency from 1.7 ms to 0.9 ms at latencies 512 and 1024. Some (very small) effect on audio.
 Latency: Found a bug that caused hiccups in audio processing, fixed it. Results in lower possible latency.
 Latency: Pushing data to the output before the processing instead of afterwards to reduce latency.
 Improved audio quality at low latencies:
 Dynamically adjusting audio processing windows at low latencies to better match the type of audio that comes in.
 Dynamically adjusting clipping effectiveness to avoid clipping 'too much' in certain conditions, depending on audio processing window and audio content. This protects soft highs against horrible vibration caused by bass sounds at latency 512 and (less) 1024.
 Upsampling and downsampling: Far less artifacts caused, far cleaner output signal.
 Created alternative Phase Rotation filter for low latencies (512, 1024).
 Multiband: Added an 'artifact protection' step that limits the maximum difference in reduction between adjacent bands, if they cause too much (configurable) artifacts.
 Multiband: Adapted frequency bands and band content to make Multiband at latency 512 sound as much as possible as higher latencies.
 Loudness: Disabled Improved Bass Distortion Protection filter for latency 512 because it caused distortion.
 Loudness: Fixed vibrations caused by Very deep bass distortion protection at latency 512 and 1024. Now also enabled for latency 512.
 Hard Limit: Fixed (minor) artifacts in upsampled audio.
 Bass Boost: Reduced artifacts at latency 512. Note: Using a less steep filter (bigger difference between frequencies) helps!
 Other changes:
 Loudness: Improved Punch filter: Now causes far less artifacts than before. But it is less effective for soft sounds.
 Loudness: Removed distortion caused by Punch.
 Bass Boost: Removed distortion.
 Quality and Latency are now part of presets, and STS files.
 Bug fix: Loading and saving Noise levels in VST version resulted in incorrect behavior.
 Bug fix: Displayed Multiband output levels were unreliable at low latencies, especially clipping.
 Bug fix: For high input sample rates, now removing very high frequencies that cause issues with Hard Limit.
 ASIO: Added ASIO Configure button, which allows setting ASIO parameters such as ASIO buffer granularity.
 ASIO: Changed buffer size configuration to match whole ASIO grains.
 Added and updated a number of presets.

2010/12/17	v6.00
 Noise gate: Fixed crackling sounds in first band.
 Added FM Hiss filter. Removes FM hiss from input signal, useful for re-transmitting FM signals.
 AGC: Added 'Based on volume before Pre Amp' checkbox to make it easier to create presets with consistent behavior at different Pre Amp settings.
 AGC bug fix: Behavior was different at different input sample rates.
 AGC: Lock band 1 to band 2; if the bass is loud but not extremely loud it is not lowered. This avoids sound changes caused by the AGC, and results in a warmer, more natural sound.
 Multiband: Added 'Flat frequency response' mode which works much better.
 Multiband: Added display of the median amplification, useful for configuring Multiband settings.
 Singleband: Added 'AGC style' mode. Doesn't seem too useful though. 
 Final Limiter: "DIFF" mode fixed.
 Final limiter is now automatically bypassed when Loudness is used (improves audio quality and reduces CPU usage).
 Loudness: Added filters to protect highs against loud bass sounds. The bass level can now be set much higher without causing distortion, even if Punch is used.
 Loudness: Added 'maximum mirror reflection' to make the sound more natural (less metalic) and louder.
 Loudness: Fixed 'Improved loudness distortion protection' artifacts.
 Loudness: Fixed 'Very deep bass distortion protection' artifacts.
 Loudness: Removed 'Allow louder lows' slider (no longer needed).
 Loudness: De-esser: Replaced 'Allow louder highs' by an AGC.
 Loudness: Added a slider to increase the dynamics of the output (by allowing some more harmonic distortion).
 Loudness: Added a filter to protect certain sounds (female voices) against vibrating.
 Loudness: Fixed dynamic Loudness input level behavior of Punch
 Hard Limit: Added an extra slower Hard Limit phase; volume comes up slower when the peaks are really loud.
 Added 'Lossy Compression (MP3/AAC/OGG/...) output optimization' filter for webradio stations. See this image for a display of the effect of different pre-emphasis values on 128 kbit/s MP3 files; this image displays a frequency analysis (high frequency content means clipping), again 128 kbit/s MP3, Post Amp at 90%.
 FM Output: Repaired the lowpass filter which sometimes caused artifacts.
 VST plugin notifies host of the delay.
 VST plugin: Bypass mode fixed.
 VST plugin: Removed separate window border, now loading inside host window.
 VST plugin now also works in mAirList.
 Improved handling of hiccups in the stand alone version when the CPU load gets very high.
 Presets: Made Generic and Web Radio presets sound much closer to the sound of modern CDs.
 Presets: Made FM presets sound much closer to that of popular hardware processors (more bass and highs, among others).
 Presets: Added new user presets, removed some obsolete ones.
 Command line version: Files larger than 2 GB can be processed now.
 Linux version added! Both a standard command line version and one with a GUI.

2010/07/18	v5.02
 Cleaned up unused code: 
 Reduced executable size by around 40%, installer by 25%.
 Reduced CPU load by 3-4%.
 Reduced memory usage by over 4 MB (from over 24 MB to under 20 MB).
 Removed part of Core Duo support from the SSE2 version (no effect on performance, only increased file size).
 Removed SSE2 support from the SSE version (which was accidentally included in it).
 Fixed Windows Vista "This program might not have installed correctly" warning.
 "VISIT SITE" button was being redrawn continuously - fixed.
 SSE (Pentium 3) version: Replaced some 'generic' code by SSE code (70% performance boost).

2010/06/12	v5.01
 Multiband: Very large differences between equalizer or soft limit settings in the lowest bands are handled correctly now.
 AGC: Improved handling of sudden spikes.
 AGC: 'Remove remaining peaks' gives far less artifacts, sounds more stable.
 AGC: Introducted dynamic hold time to improve control of output level (much closer for tracks with very different dynamics contents).
 AGC: Fixed bug that could cause strange behavior durig absolute silence.
 AGC: Added possibility to work on 2 channels combined, instead of just operating on them separately.
 AGC: Added gating.
 AGC: Added 3rd band for improved highs control.
 Noise gate: Disabled 1st band because it caused artifacts.

2010/05/04	v5.00
 Completely redesigned the processing pipeline to reduce the maximum latency from over 1.5 seconds to at most 0.1 second, with a better sound quality.
 Made latency configurable in 4 steps: 512 (ca. 13 ms), 1024 (25 ms), 2048 (47 ms) or 4096 (93 ms, best quality) samples.
 Reduced CPU usage by more than 50%.
 Replaced 3 quality modes (LO, MID, HI) by a continuous slider.
 Reduced memory usage by 17 MB.
 Replaced Pre Limiter by an RMS-based 1 or 2-band AGC, which controls the volume much better.
 Added a Bass Boost filter.
 Added Phase Rotation filter that greatly improves the sound quality of many difficult sounds (trumpets, female voices) when loud output levels are required.
 Added a filter that removes any pre-ringing (weird sounds before a sound burst) which was present in older Stereo Tool versions.
 Improved the Multiband clippers audio quality: Multiband clipping sound much cleaner now.
 Removed "Trumpet sound filter" from earlier versions that was intended to improve the quality of certain sounds, but also caused a lot of side effects (no longer needed due to the new phase rotation filter).
 Removed Multiband HQ mode (no longer needed).
 Made main window resizable and maximizable.
 Bug: No 2 Stereo Tool instances can be loaded in a VST engine based using the same Stereo Tool DLL file. A popup now displays this message and gives a workaround.
 Presets updated (now using Bass Boost and Phase Rotation where appropriate) or added.
 RDS without stereo no longer generates a 19 kHz pilot tone.
 In case of FM output, "normal output" is closer to the FM sound, and the FM sound is clipped better before 'FM Overdrive' - using FM Overdrive now leads to a 3% louder output signal than before with better quality.
 Input and output volume meters blink in red to indicate clipping if the maximum volume is reached (input) or surpassed (output).
 Improved performance of waveform and MPX display.
 Improved dithering (final step in processing): If audio is not changed, dithering doesn't change the sound anymore.
 Bug fix: VST version now allows opening multiple instances of Stereo Tool (earlier versions crashed).
 Bug fix: Hangups when playing .WAV or lossless files in Winamp.
 Bug fix: RDS AF (Alternative Frequencies) was not turned off properly if no frequencies are specified. It might have worked, or no, depending on the receiver.
 Added warnings about sound quality when latency is reduced or FM pre-emphasis is enabled.
 "Configure Audio and Display" button blinks when audio is being removed due to the "Clear buffer if no data arrives for" setting.
 Waveform display indicates Bypass mode.
 Improved looks of tray icon.
 Bug fix: Bypass all in ASIO mode (stand alone) now works properly.
 RDS volume adjusted: It was slightly louder than the setting.

2009/10/30	v4.22
 Loudness: Added yet another filter ("Very deep bass distortion protection") to reduce bass distortion and make the total sound cleaner.
 Loudness: Now bypassing Punch for frequencies below 45 Hz for cleaner output sound.
 Loudness: Improved handling of female voices and xylophone-on-top-of-low-strings sounds, leading also to an overall more natural sound.
 Re-organized Loudness window. Should be clearer now.
 Stereo Boost: Added a filter that removes excessive reverb that occurs in some songs. The result is much closer to the original sound, but still with strongly increased stereo.

2009/10/20	v4.21
 Bug fix: VST plugin version: Some version 4.00+ parameters were not saved.
 Slightly improved some presets.

2009/10/18	v4.20
 Loudness: Added a filter to reduce bass distortion. Bass levels can now be set much higher without getting more distortion than before, or kept at the same level for better sound quality.
 Loudness: Added a deep bass boost filter that boost very low (up to about 70 Hz) bass sounds by about 1.5 dB (at 100 Hz the bass is about 0.8 dB softer though).
 Loudness: Added a limiter to the Clean/Punch filter to remove distortion caused when setting it close to Punch. Moved Clean/Punch default setting closer to Punch.
 Low Quality mode: Changed the processing that is used for low quality mode. Quality is much better than before, and the CPU load is reduced.
 Low Latency mode: Fixed some issues in the low latency processing. Latency is now approx. 100 ms lower than before, quality is much closer to that of normal latency processing.
 Noise gate: Noise reduction can now be set for each frequency band.
 Added a number of presets with more bass.
 Added Marino's Urban preset to Web Radio presets.

2009/09/10	v4.10
 Added new stereo widening filter: Stereo Boost.
 Updated most of the presets to use the new Stereo Boost filter.
 Reduced the minimum value for the gap detection time.

2009/08/11	v4.05
 Bug fix: No audio problem unless 'bypass' is used solved.
 Bug fix: Too long delay in tray icon volume display solved.
 Improved Hard Compression: Dance presets.

2009/07/19	v4.04
 Bug fix: Under certain circumstances occasional hangups could occur. That should be solved now.
 Single core systems were not properly recognized and used code that was optimized for multicore systems. The CPU load on single core systems should be slightly lower now.

2009/06/28	v4.03
 Loudness filter: Improved the filter that detects high frequency distortion caused by very low frequencies. Low frequencies are now much louder, and distortion is greatly reduced.
 Loudness filter: Added a slider to choose between clean sound (with ringing artifacts) or punchy, as-close-as-possible to the original sound. Punchy sounds a lot better, but it may introduce some distortion (which is largely solved by the fix on the previous line).
 When opening a window that was already open, it jumps to the front now.
 Stereo Tool logo added to the window title bar, also displayed now when using ALT-TAB.

2009/06/18	v4.02
 Bug fix: Version 4.01 crashed on some Vista systems.

2009/06/17	v4.01
 Loudness filter: Improved bass sound, especially for high (3.0+) Loudness values.
 Bug fix: VST plugins working again.
 Interface: When clicking on a panel which' window is already open, it jumps to the front.

2009/06/12	v4.00
 Redesigned the interface. The main window is now smaller and less crowded. Each filter has its own window now, and many values are displayed in dB also.
 The output displays in the main window are now synchronized to each other, and can be synchronized to the audio player sound card output.
 Added a fix for the annoying "part of the previous song gets played at the start of the next song" problem in Winamp. Note that this fix is a workaround for what is essentially a problem of Winamp, and it may not be perfect.
 Reorganized the Presets pulldown menu, and added the 10 last used preset files to the list. Also the currently selected preset is visible in the Presets pulldown button now.
 Added more control over how the Loudness filter works. It's now possible to allow more highs or more lows to pass through (this may cause some distortion though).
 Pre Limiter is now using perceptive volume instead of peak level for much better initial volume control.
 Added a filter to remove remaining loud peaks after the Pre Limiter filter. The Pre Limiter works with a delay, the new filter is a lookahead filter that removes remaining peaks, which occur mostly at the start of a new track after some silence.
 Final limiter now has an option to use less CPU power (in that case it doesn't preserve the volume). 
 Added a pre-final limiter filter for loud peaks (the normal Final Limiter is loudness preserving, but it doesn't handle very loud sounds well. This pre-final limiter filter removes those very loud sounds.)
 Loudness filter: The Loudness filter can now handle much louder peaks than before. This even makes it possible to use the Loudness filter as a limiter.
 Loudness filter: Loud "S" sounds now cause far less bass level reduction - so the sound is more stable.
 Loudness filter: Added a filter that detects and removes high frequency distortion caused by loud deep bass sounds.
 Loudness filter: Improved the filtering so it sounds smoother now. And with the same settings the sound is slightly louder than before with less artifacts.
 RDS: Added "Now playing" support for Winamp plugins without the need to use external files.
 RDS: Added date and time displays.
 Improved the HARD LIMIT filter, sound should more consistent (less pumping) now.
 Included the Singleband Compressor from versions 2.11 and below again. It's available from the Limiting & Loudness window.
 Added some presets made by Vamprecords, SuperH and Bojcha.
 Added a "Bypass all" button on the main window.
 Added "FM RDS TA" button on the main window so traffic announcements can now be indicated without opening the FM configuration window.
 Performance: On multicore systems, the processing now uses multiple threads. Some slower AMD dualcore PCs couldn't handle FM output in High quality, now they can.
 Fixed a bug: The highpass filter seems to have been disabled when Multiband compression is turned on since version 3.50.
 Fixed a bug that could cause blocks of bad pixels in the user interface.
 Fixed a bug that caused presets to sound slightly different when they were selected while audio was playing.
 Fixed a bug: On startup, even if Multiband HQ was ticked Multiband didn't run in HQ mode.
 Greatly reduced the gaps that occur when switching between presets.
 Uncoupled screen redraws from processing. This allows Windows to select a different CPU for screen updates on multicore systems, and they might get disabled temporarily on single CPU systems when the load is high.

2009/04/23	v3.55
 Loudness filter: Louder and more stable bass sound.
 Soundcard support (stand alone version, Direct Soundcard Output on plugin versions): No more stuttering when the output buffer is empty, instead a short break is inserted such that the buffer is filled again when playback resumes. (No change for ASIO output).

2009/04/18	v3.54
 Loudness filter: Warmer, louder and more stable sound with deeper bass and cleaner highs.
 Added wave input and output displays.
 Added MPX spectrogram display for FM output.
 Fixed a bug that caused the Loudness filter in Normal quality mode to sound softer (+ 0.3 dB for Loudness 4.0).

2009/04/04	v3.53
 FM transmitter bug fix: In version 3.52 the improved filtering caused RDS reception problems on some (mainly German) FM receivers. Fixed.

2009/04/04	v3.52
 Stereo widener is now almost as strong as in versions before 3.51, but with far less artifacts than before. Especially low quality MP3s should sound a lot better.
 FM transmitters: MPX filtering cleaned up further, noise level is now around 90 dB below the actual signal (used to be about 30 dB).
 Very minor change in pre-filtering steps that should slightly improve the handling of loud high frequencies.

2009/04/02	v3.51
 FM transmitters: Improved filtering for a cleaner MPX signal.
 Stereo widener causes less artifacts, but also has a bit less effect.

2009/04/01	v3.50
 Loudness filter: Recalibrated to achieve a much cleaner and louder sound. Distortion that was still present in version 3.40 is now nearly gone, and values up to 3.00 sound good.
 Values up to 4.00 are now allowed.
 Loud highs now have far less effect on the loudness of the other sounds - so it sounds much more stable.
 Added a filter to improve trumpet sounds.
 Improved quality and loudness of deep bass sounds.
 Improved FM pre-emphasis to match the official specification (in older versions the pre-emphasis wasn't strong enough, so this new version sounds brighter.)
 Volume slider now show both pre-emphasized and de-emphasized output levels.
 Changed Multiband compressor to get a warmer output sound with lower peak levels.
 Improved the HARD LIMIT filter to sound cleaner, cause far less pumping, and to achieve a louder output volume.
 Hard Limit filter is now also used if Direct Sound Card Output is used.
 Improved the composite limiter filter to cause far less pumping, and to achieve a louder and cleaner output volume.
 Updated presets, added FM Extreme preset.
 Improved Lowpass filter to filter closer to the selected lowpass frequency (important for AM presets).
 Also the filtering quality is now much better - the spectrum above the filtering frequency is now really empty.
 Bug fix: Fake stereo didn't work in version 3.40 - it does work again now.
 The CPU load is about 5-10% higher than that of version 3.40 - measured using the FM Loud preset.

2008/12/03	v3.40
 Loudness filter: Completely rewritten. Now reaches much louder sounds (up to +12 dB) with far less effects on the sound quality. Even notoriously difficult sounds such as xylophones are now handled without introducing distortion.
 Added FM transmitter calibration. If you are having problems with your FM signal (caused by low quality transmitter equipment, sound card, long cables etc.), you can now configure Stereo Tool to accomodate for that. (On my system, stereo separation is increased by 15 dB after calibrating!)
 Composite limiter now operates at 705.6 or 768 kHz. This removes peaks that were introduced by the lowpass filter of the sound card.
 Hard limit now operates at 352.8 or 384 kHz. This removes peaks that were introduced by the lowpass filter of the sound card.
 Removed the Loudness ++ option because it is no longer needed.
 Tweaked the presets to take advantage of the improved Loudness filter (more punch).
 The CPU load is roughly identical to that of version 3.30 in Low and Normal quality mode as long as the composite limiter oversampling is not used. And it will be a lot slower on PC's without SSE2 support.

2008/09/01	v3.30
 Composite limiter added. Gives about 7% (0.5 dB) extra loudness on FM transmitters, without affecting the FM Pilot and RDS signals.
 Memory footprint reduced by about 12 MB (3.29 used 34 MB, 3.30 uses 22 MB).

2008/08/26	v3.29
 Bug fix: Lowpass filter filtered at the wrong (too low) frequency when using high (> 60 kHz) input samplerates.

2008/08/24	v3.28
 Small (6-10%) performance improvement.
 Improved Final limiter filter: More stable output.
 Added Highpass filter to filter out low rumbling sounds (especially useful when playing from vinyl) and sounds that may interfere with FM stereo transmissions.
 Added VST plugin version (beta!).

2008/08/16	v3.27
 Huge performance improvement (48% faster than 3.26 - although still 6% slower than in versions 3.21 and older versions).
 Improved Final limiter filter: More stable output.
 Improved Loudness filter: Switch ("++") available to choose between loudest possible sound (same as in older versions) or slightly less loudness with much better sound quality.

2008/08/12	v3.26
 Improved Loudness filter: Distortion caused when a large amount of high frequencies was present (mainly FM pre-emphasized sounds) is reduced.

2008/08/11	v3.25
 Improved Loudness filter: Removed edges in the sound.
 Updated FM presets for a more stable (less pumping) sound.

2008/08/08	v3.24
 Improved Loudness filter: Reduced pumping for loud bass or hi-hat sounds at high Loudness settings.
 Spoken text for unregistered versions increased from once every 24 hours to once every 12 hours.
 Pop-up added requesting to register (shown only once every 30 days).

2008/08/03	v3.23
BETA
 Redesigned Loudness filter processing: Same volume and clarity as older versions, but with quality of 3.22.
 Far lower CPU usage for loudness filter in High Quality mode.
 Redesigned Final Limiter and Loudness filter for better sound quality. Suggested new setting: 0.01 s.

2008/07/24	v3.22
 Improved Loudness filter processing: Much less distortion.
 Increased maximum Loudness setting from 1.75 to 2.0.
 Bug fix: Loudness filter in High Quality mode caused a slight phase shift. Resolved.

2008/07/22	v3.21
 Improved Final Pre-limiter: More powerful highs for FM pre-emphasized sounds.
 Improved Loudness filter processing: Better highs.
 Increased maximum Loudness setting from 1.5 to 1.75. Warning: Values above 1.5 cause some distortion for loud sounds. Only use it for sounds that don't often peak to the maximum volume.)
 Changed presets for more punchy sound, Radio presets also for more punchy bass.
 Bug fix: (De)selecting Low Latency no longer causes continuous static.

2008/07/15	v3.20
 Stand-alone version: Added ASIO support for lower latency (10 ms microphone-to-speaker without processing). ASIO is a trademark of Steinberg Media Technologies GmbH
 Added low latency processing mode (200 ms latency with all processing enabled).
 Improved sound quality for bass sounds (multiband compressor, stereo image filter).
 FM pilot tone and RDS signal volume can be adjusted.
 Bug fix: Linked sliders (up speed, down delay) now remain linked properly.

2008/06/08	v3.14
 Stand-alone version: Fixed a bug that caused crashes.
 Stand-alone version: Fixed a bug that caused strange sounds on non-SSE2 machines.
 Stand-alone version: Fixed a bug that could cause continuous hiccups in the sound when the CPU load was very high (unlikely).
 Added more feedback on sound card problems: A red bar now indicates an error.
 Improved the performance of the FM pre-emphasis filter.
 Fixed a bug to support 32/64/128 kHz input for FM transmissions.
 64/128 kHz input is now processed at 32 kHz if "Process as 44.1 kHz" is enabled (previously 64 kHz). This reduces the CPU load.

2008/06/05	v3.13
 Improved sound quality for FM transmitters (brighter, better highs).
 Save bug which caused Stereo Tool to keep starting up in simple mode fixed.
 Fixed a bug which made it impossible to select Windows Audio Mapper as output device.
 Fixed a bug that could cause Stereo Tool to produce silence when leaving Simple mode, restart was needed.

2008/06/03	v3.12
 Stand-alone version added. Added ability to change Stereo Tool settings while running from external scripts.
 Minor bug fix during saving of STS file.

2008/05/28	v3.11
 Re-added Channel Delay fake stereo filter (now part of the Stereo Image filter).
 Fixed STS load file bug which could cause some values not to be refreshed.
 Fixed STS load bug in Basic mode which could cause the sound to drop to silence.

2008/05/24	v3.10
 Direct soundcard access, bypassing Winamp limitations, to make broadcasting FM stereo and RDS easier.
 Up to three different output channels: Normal processing, FM stereo and RDS signal, and low quality low latency signal for listening in while broadcasting live.
 RDS support: Added PI, PTY, RadioText, ClockTime, M/S, TA, TP, Stereo, Compression, Artificial Head.
 Improved sound quality (slightly warmer sound for certain types of sounds.). Presets use a lower Pre Amp value for better results.
 Added a noise gate (noise removal) filter. (Removed Channel Delay to make room for it.)
 No more low or high pitched sounds when changing to a lower or higher sampling rate.
 Solved problem that could cause hiccups in some rare circumstances.
 Added Speech preset, updated other presets to use the noise gate filter.

2008/04/22	v3.03
 Added Basic interface for easier control than the (original) Advanced interface.
 Improved Compression (Loud) presets (better sound quality).
 Solved a bug that could cause Winamp to crash when Stereo Tool was closed very quickly after opening it.

2008/04/18	v3.02
 Improved performance on AMD CPUs.
 Improved FM transmitter presets (better sound quality).

2008/04/10	v3.01
 Bug fix: Startup problem in SAM4 solved. This bug may have caused other problems as well.

2008/04/05	v3.0
 Greatly improved performance using hand-optimized SSE2 code.
 Added dualband pre-limiter.
 Increased number of multiband compressor channels from 8 to 10 for deeper bass sounds.
 Added multiband clippers for a more stable sound with less remaining peaks.
 Added multiband "feedback" loop which feeds the total output volume back into the multiband compressor, to enable better control of the maximum output volume.
 Added multiband compressor HQ mode for much better bass quality.
 Added multiband post filter for improved sound quality, when using agressive multiband compression settings.
 Added possibility to limit the maximum phase difference between the two channels in the stereo image filter.
 Added a 3-step final limiter to enable creating a completely flat output level without pumping or distortion.
 Added a "loudness" filter which can make audio sound up to 5.5 dB louder without generating louder peaks.
 Added FM stereo encoder for FM transmitters.
 Added RDS encoder for FM transmitters (still very limiter in this version).
 Added vertical scrollbar for small displays.
 Added bypass mode: When iconified, right-click on the Stereo Tool icon to turn it on or off.
 Updated the presets to make use of the new features.
 Removed singleband compressor.
 Removed "normal" interface, only simple and extended are left.

2007/??/??	v2.11
 Bug fix: Clipping problem in 24 bit audio solved.

2007/03/18	v2.10
 Added single bass speaker mode. This solves bass sound cancellation issues if a single bass speaker is used.
 Added an automatic phasing (azimuth) detection and correction filter. This improves the sound of some recordings (including many cheap CDs with old music) and tapes. Bug fix: "libguide" conflict with other plugins and SAM4 MP3 output resolved.

2006/10/03	v2.05
 Bug fix: Presets pulldown menu now functions properly on all Windows versions (many thanks to Bob Evans for telling me how to solve it!)

2006/09/12	v2.04
 Bug fix: Stereo Tool now correctly displays the output bars also when the Windows font size has been changed.

2006/09/07	v2.03
 Sound quality improvement: Improved handling of very low frequencies. The rumbling sound that was sometimes present in older versions is now almost completely eliminated.

2006/06/13	v2.02
 Bug fix: Stereo Tool now also supports non-32 bits displays. 32 and 16 bits displays are supported in color, others in black and white.

2006/05/26	v2.01
 Fixed a bug that caused Stereo Tool not to be recognized correctly by SpacialAudio software such as SAM3 and the Winamp DSP Stacker plugin.

2006/05/03	v2.0
 Added a lowpass filter.
 Added Load, Save and Reset button functionality.
 Added presets.
 Added minimize/iconify option, and startup minimized setting.
 Added 8, 24 and 32 bits audio support.
 Added different interfaces (simple, normal, extended).
 Added multiband limiter/compressor slider.
 Added singleband limiter/compressor slider.
 Added a channel delay slider, for fake stereo.
 Greatly reduced CPU usage, SSE2 support for P4 added.
 Added sound quality setting to further reduce the CPU usage.
 Output displays are now drawn on screen as bitmaps instead of progress bars. This gives better results, especially on Windows XP.
 Increased the down speed setting range, changed the way these values are displayed.
 Settings are now saved in the default INI file directory instead of C:\ .
 Added a help website instead of the old text file.

2005/10/02	v1.12
 Extremely high CPU load problem fixed, could (at least theoretically) occur on some Winamp versions or with some audio formats.

2005/09/27	v1.11
 Lockup problem fixed, when "stop" is pressed in WinAmp lockups should not occur anymore.

2005/09/23	v1.1
 Initial release

2004/11/16	v1.0
 Initial unreleased version